Load a Model & Detect an Object

Initializes a model for inference and detects an object within an uploaded image file within a single API call. This eliminates the need to load a model before running detection.

Path parameters

model_idstringRequired
The model ID of an active and trained AI model within your organization.

Headers

x-api-keystringRequired
Your organization's active API Key.

Request

This endpoint expects a multipart form containing a file.
organization_idstringRequiredformat: "uuid"
Your organization's unique identifier.
filefileRequired
An image file you'd like to run detection on.

Response

200 - Detection successful

xywhlist of objects or null
An array of information related to the object detected. If an object was not detected, this array will be empty.
detection_foundboolean or null
A boolean value denoting whether an object was successfully detected in the image file provided.
inference_idstring or nullformat: "uuid"
A unique identifier for the results of a successful inference call.

Errors